<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Admin_Moneymanage_Repaymentlist_Complete
{
    var $money;       //テーブル操作
    var $repaymentlist; //出力用の変数

    var $checklist;
    
    var $title;
    var $pagename;

    /**
     * [[機能説明]]
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Admin_Moneymanage_Repaymentlist_Completeが実行されました", "Admin_Moneymanage_Repaymentlist_Complete#execute");

        $this -> updateRepaymentList();
        
        //var_dump($this -> checklist);
        
        return 'success';
    }
    
    function updateRepaymentList()
    {
    	/*
    	foreach($this -> checklist as $key)
    	{
    		//echo $key."<br>";
    		$this -> money -> updateRepaymentList($key);
    	}*/

    	// 2007-7-8 shimano
    	if(!is_array($this -> checklist)) {
    	    $this -> money -> updateRepaymentList(array($this -> checklist));
    	} else {
    		$this -> money -> updateRepaymentList($this -> checklist);
    	}
    }
    
}
?>
